Subject: bug#15154: 24.3; Various GTK warnings on debian jessie/sid

From: Tim Van Holder <[email-masked]>
Date: Mon, 26 Aug 2013 10:40:14 +0200

Neither
  gconftool-2 --set "/desktop/gnome/interface/accessibility" --type bool
false
(which, as I understand it, should disable all accessibility support), nor
  gconftool-2 --set "/desktop/gnome/interface/at-spi-dbus" --type bool false
had any effect (perhaps they only matter for a desktop session setup?).

Then I found

http://askubuntu.com/questions/227515/terminal-warning-when-opening-a-file-in-gedit
and I have now added
  export NO_AT_BRIDGE=1
to my .profile to avoid the startup warning.

1 message down, 1 to go :-)

On 22 August 2013 12:22, <[email-masked]> wrote:

> Tim Van Holder <[email-masked]> writes:
>
> > I typically run emacs via a ssh (PuTTY) session, using the
> > Cygwin X server.
> > Emacs was built from sources (24.3 release tarball), with GTK2
> > auto-selected as X toolkit (even though it apparently uses GTK3).
> >
> > Starting emacs (-Q or otherwise), results in:
> >
> > ** (emacs:<pid>): WARNING **: Couldn't connect to accessibility bus:
> > Failed to connect to socket /tmp/dbus-OfJcFmA1Hb: Connection
> > refused
> >
> > Given that I explicitly disabled DBus stuff (to avoid dbus-launch
> > processes that would prevent a clean ssh exit) when building emacs,
> > this
> > is already a bit odd. There is no such entry in /tmp (in fact there
> > are
> > no /tmp/dbus-* files at all), nor is there any envvar containing
> > OfJcFmA1Hb.
>
> That's not because of Emacs and its D-Bus integration. Linked GTK try to
> connect to at-spi (Assistive Technology Service Provider Interface).
>
> Check your Gnome configuration how to disable it. I suspect you must
> disable /desktop/gnome/interface/at-spi-dbus, but I don't know it for
> sure. You might check your settings with
>
> # gconftool-2 --get /desktop/gnome/interface/at-spi-dbus
>
> Best regards, Michael.
>